Bug 11258 - es_CR locale update
Summary: es_CR locale update
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: GNU C Library Locale Maintainers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-07 14:32 UTC by Aurelien Jarno
Modified: 2014-06-30 18:50 UTC (History)
3 users (show)

See Also:
Host: x86_64-unknown-linux-gnu
Target: x86_64-unknown-linux-gnu
Build: x86_64-unknown-linux-gnu
Last reconfirmed:
fweimer: security-


Attachments
Patch (1.20 KB, patch)
2010-02-07 14:33 UTC, Aurelien Jarno
Details | Diff
First patch (310 bytes, patch)
2010-06-13 20:25 UTC, Aurelien Jarno
Details | Diff
Second patch (284 bytes, patch)
2010-06-13 20:25 UTC, Aurelien Jarno
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aurelien Jarno 2010-02-07 14:32:55 UTC
Please find this patch from Marcelo Magallon updating the es_CR locale.
Comment 1 Aurelien Jarno 2010-02-07 14:33:17 UTC
Created attachment 4577 [details]
Patch
Comment 2 Ulrich Drepper 2010-04-04 09:15:04 UTC
Changed in git.
Comment 3 Martin Jansa 2010-05-27 06:56:29 UTC
After this change generating es_CR.ISO-8859-1 fails because of unknown
character for currency symbol ("<U20A1>").

es_CR.ISO-8859-1 (while keeping es_CR.UTF-8) should be removed from 
localedata/SUPPORTED. Or is there any other solution?

NOTE: generating locale es_CR (ISO-8859-1)
/usr/share/i18n/locales/es_CR:56: LC_MONETARY: unknown character in field
`currency_symbol'
Comment 4 Aurelien Jarno 2010-06-13 20:23:00 UTC
The correct solution is to add transliteration support for the colón sign.
Patches will follow.
Comment 5 Aurelien Jarno 2010-06-13 20:25:13 UTC
Created attachment 4840 [details]
First patch
Comment 6 Aurelien Jarno 2010-06-13 20:25:37 UTC
Created attachment 4841 [details]
Second patch
Comment 7 Ulrich Drepper 2011-05-10 03:30:09 UTC
Already fixed in git.

In future, don't reopen bugs.  That's not the same issue.